deviceDestination = 'wb-map12e_32_sum';
deviceSource = 'wb-map12e_32';
var Irms_Summ = 0;

defineVirtualDevice(deviceDestination, { 
    title: deviceDestination, 
    cells: {
      'Ch 34 Irms L1': {
        title: "Ch 3 + Ch 4  Irms L1",
        type: 'current',
        readonly: false,
        value: 0,
        units: ""
      },
      'Ch 34 Irms L2': {
        title: "Ch 3 + Ch 4  Irms L2",
        type: 'current',
        readonly: false,
        value: 0,
        units: ""
      },
      'Ch 34 Irms L3': {
        title: "Ch 3 + Ch 4  Irms L3", 
        type: 'current',
        readonly: 'false',
        value: 0,
        units: ""
      }
   }
});



//-----  1 

defineRule("summator", {

  whenChanged: [deviceSource+'/Ch 3 Irms L1', deviceSource+'/Ch 4 Irms L1'],

  then: function (newValue, devName, cellName) {

   if (newValue=true) {

     dev[deviceDestination+'/Ch 34 Irms L1'] = deviceSource+'/Ch 3 Irms L1' + deviceSource+'/Ch 4 Irms L1';
   }
  },
  
  whenChanged: [deviceSource+'/Ch 3 Irms L2', deviceSource+'/Ch 4 Irms L2'],

  then: function (newValue, devName, cellName) {

   if (newValue=true) {

     Irms_Summ = deviceSource+'/Ch 3 Irms L2' + deviceSource+'/Ch 4 Irms L2';

     dev[deviceDestination+'/Ch 34 Irms L2'] = Irms_Summ;

   }

  },
  
  whenChanged: [deviceSource+'/Ch 3 Irms L3', deviceSource+'/Ch 4 Irms L3'],

  then: function (newValue, devName, cellName) {

   dev[deviceDestination+'/Ch 34 Irms L3'] = deviceSource+'/Ch 3 Irms L3' + deviceSource+'/Ch 4 Irms L3';

  }

});


//-----  2  (  ,      1 )



defineRule("summatorL1", {

  whenChanged: [deviceSource+'/Ch 3 Irms L1', deviceSource+'/Ch 4 Irms L1'],

  then: function (newValue, devName, cellName) {

   dev[deviceDestination+'/Ch 34 Irms L1'] = deviceSource+'/Ch 3 Irms L1' + deviceSource+'/Ch 4 Irms L1';

  }

});



defineRule("summatorL2", {

  whenChanged: deviceSource+'/Ch 3 Irms L2',

  then: function (newValue, devName, cellName) {

   dev[deviceDestination]['Ch 34 Irms L2'] = deviceSource+'/Ch 3 Irms L2' + deviceSource+'/Ch 4 Irms L2';

  }

});



defineRule("summatorL3", {

  whenChanged: [deviceSource+'/Ch 3 Irms L3'],

  then: function (newValue, devName, cellName) {

    dev[deviceDestination+'/Ch 34 Irms L3'] = deviceSource+'/Ch 3 Irms L3' + deviceSource+'/Ch 4 Irms L3';
  }

});


